#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Implementation of SVG Tiny
Name:		libsvgtiny
Version:	0.1.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	b1da875a8cfa4e005bb74c6aac62baf1
Patch0:		lib.patch
URL:		http://www.netsurf-browser.org/projects/libsvgtiny/
BuildRequires:	gperf
BuildRequires:	libdom-devel >= 0.0.1
BuildRequires:	libwapcaplet-devel >= 0.2.0
BuildRequires:	netsurf-buildsystem
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsvgtiny is an implementation of SVG Tiny, written in C. It is
currently in development for use with NetSurf and is intended to be
suitable for use in other projects too.

The overall idea of the library is to take some SVG as input, and
return a list of paths and texts which can be rendered easily. The
library does not do the actual rendering.

%package devel
Summary:	libsvgtiny library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsvgtiny
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libsvgtiny into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libsvgtiny w
swoich programach.

%package static
Summary:	libsvgtiny static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libsvgtiny
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libsvgtiny libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsvgtiny.

%prep
%setup -q
%patch0 -p1

%build
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install Q= \
	lib=%{_lib} \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install Q= \
	lib=%{_lib} \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvgtiny.so.*.*.*
%ghost %{_libdir}/libsvgtiny.so.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsvgtiny.so
%{_includedir}/svgtiny.h
%{_pkgconfigdir}/libsvgtiny.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsvgtiny.a
%endif
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsvgtiny.git;a=log;h=master

* Wed Sep 04 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 96a97d9
- BR: gperf

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 0e8c2b5
- verbose files; package ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 420228a
- fix install in lib64 systems

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 85695d6
- pass our CC, fix bad make commandline

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> 15dd05e
- new

